/*
** Copyright (c) 1997, 1998, 1999
**	Alex Feldman <al.feldman@sangoma.com>.  All rights reserved.
**
*/
/*****************************************************************************
** sdla_dev.h	SDLA ISA/PCI Header.
**
** Author:	Alex Feldman	<al.feldman@sangoma.com>
**
*****************************************************************************
*/

#ifndef __SDLA_DEV_H
# define __SDLA_DEV_H

#if defined(__FreeBSD__)
# if (__FreeBSD_version < 502000)
#  include <pci/pcireg.h>
#  include <pci/pcivar.h>
# else
#  include <dev/pci/pcireg.h>
#  include <dev/pci/pcivar.h>
# endif
#elif defined(__NetBSD__) || defined(__OpenBSD__)
# include <dev/pci/pcireg.h>
# include <dev/pci/pcivar.h>
#else
# error "This operation system not supported yet!"
#endif


/*
**************************************************************************
**				DEFINES/MACROS				**
**************************************************************************
*/
/* the same value as in sdladrv.h */
#define SDLA_MAX_PORTS	24

/* Offset from I/O port for S508 ID */
#define SDLA_S508_OFFSET	0x3

#define SDLA_DEV_NAME "sdla"

/* SDLA ISA device name */
#define SDLA_ISA_DEV_NAME "sdlai"

/* SDLA PCI device name */
#define SDLA_PCI_DEV_NAME "sdlap"

#define sdladev_slot(sdladev)	sdladev->u.pci.slot_no
#define sdladev_bus(sdladev)	sdladev->u.pci.bus_no
#define sdladev_cpu(sdladev)	sdladev->u.pci.cpu_no
#define sdladev_irq(sdladev)	sdladev->irq
#define sdladev_ioport(sdladev)	sdladev->u.isa.ioport
#if defined(__FreeBSD__)
# define sdladev_maddr(sdladev)	sdladev->u.isa.maddr
#elif defined(__NetBSD__) || defined(__OpenBSD__)
# define sdladev_maddr(sdladev)	sdladev->u.isa.memh
#endif


/*
**************************************************************************
**				TYPEDEF					**
**************************************************************************
*/
#if defined(__FreeBSD__) && (__FreeBSD_version > 400000)
struct sdla_softc
{
	int 		irq_rid;
	struct resource* irq_res;
};
#endif

#endif /* __SDLA_DEV_H */

/****** End *****************************************************************/
